OghmaNano - Simulate Organic Solar Cells, Inorganic solar cells, OLEDs and OFETs
================================================================================

OghmaNano is a free organic solar cells model. It is specifically designed to 
simulate bulk-heterojuncton organic solar cells, such as those based on the 
P3HT:PCBM material system. The model contains both an electrical and an optical 
solver, enabling both current/voltage characteristics to be simulated as well 
as the optical modal profile within the device. The model and it's easy to use 
graphical interface is available for both Linux and Windows.
The model can simulate:

    -Dark JV curves
    -Light JV curves
    -Dark CELIV transients
    -Light CELIV transients
    -Voltage transients of an arbitrary shape
    -Full optical model taking into account reflection at interfaces and absorption.
    -Calculation of reflection profile
    -Ability to simulate OLEDs

The physical model solves both electron and hole drift-diffusion, and carrier 
continuity equations in position space to describe the movement of charge 
within the device. The model also solves Poisson's equation to calculate the 
internal electrostatic potential. Recombination and carrier trapping are 
described within the model using a Shockley-Read-Hall (SRH) formalism, the 
distribution of trap sates can be arbitrarily defined. A fuller description of 
the model can be found in the at https://www.Oghma-Nano.com, in the associated
publications  and in the manual.
Example simulations

The model makes it easy to study the influence of material parameters such as 
mobility, energetic disorder, doping and recombination cross-sections on device 
performance. All internal device parameters such as current density, charge 
density, distribution of trapped carriers in position and energy space are 
accessible either through the graphical interface or directly through output 
files. 
